Add link
curl --request POST \
--url https://api.chatling.ai/v2/chatbots/{chatbotId}/knowledge-base/data-sources/links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"links": [
"<string>"
],
"exclude_classes": [
"<string>"
],
"exclude_ids": [
"<string>"
],
"exclude_header": true,
"exclude_footer": true,
"exclude_nav": true
}
'import requests
url = "https://api.chatling.ai/v2/chatbots/{chatbotId}/knowledge-base/data-sources/links"
payload = {
"links": ["<string>"],
"exclude_classes": ["<string>"],
"exclude_ids": ["<string>"],
"exclude_header": True,
"exclude_footer": True,
"exclude_nav": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
links: ['<string>'],
exclude_classes: ['<string>'],
exclude_ids: ['<string>'],
exclude_header: true,
exclude_footer: true,
exclude_nav: true
})
};
fetch('https://api.chatling.ai/v2/chatbots/{chatbotId}/knowledge-base/data-sources/links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"links_added": 105,
"duplicate_links_removed": []
}
}
Knowledge base
Add link
Add new link data sources to the knowledge base.
POST
/
chatbots
/
{chatbotId}
/
knowledge-base
/
data-sources
/
links
Add link
Request parameters
Path
The chatbot ID.
Body
Array of webpage links to add to the knowledge base.
Exclude sections of webpages based on their HTML class names.
Exclude sections of webpages based on their HTML IDs.
Exclude
header tags.Exclude
footer tags.Exclude
nav tags.Response
The status of the request. Will be
success if the request was successful, otherwise error.{
"status": "success",
"data": {
"links_added": 105,
"duplicate_links_removed": []
}
}
⌘I

